Ping database connection

- « pg_pconnect

- pg_port »

- PHP Manual
- PostgreSQL Functions
- Ping database connection

# pg_ping

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

pg_ping — Ping database connection

### Description

pg_ping(?PgSql\Connection `$connection` = `null`): bool

pg_ping() pings a database connection and tries to reconnect it if it is broken.

### Parameters

`connection`

  An PgSql\Connection instance. When `connection` is `null`, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

  Warning

  As of PHP 8.1.0, using the default connection is deprecated.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.
8.0.0 | `connection` is now nullable.

### Examples

Example #1 pg_ping() example

    <?php
    $conn = pg_pconnect("dbname=publisher");
    if (!$conn) {
      echo "An error occurred.\n";
      exit;
    }

    if (!pg_ping($conn))
      die("Connection is broken\n");
    ?>

### See Also

- pg_connection_status() - Get connection status
- pg_connection_reset() - Reset connection (reconnect)